# Uses of Class
javax.swing.tree.DefaultTreeCellRenderer

Packages that use DefaultTreeCellRenderer
Package
Description
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of DefaultTreeCellRenderer in javax.swing.tree

Fields in javax.swing.tree declared as DefaultTreeCellRenderer
Modifier and Type
Field
Description
`protected DefaultTreeCellRenderer`
DefaultTreeCellEditor.`renderer`
Renderer, used to get border and offsets from.
Constructors in javax.swing.tree with parameters of type DefaultTreeCellRenderer
Modifier
Constructor
Description
``
`DefaultTreeCellEditor​(JTree tree, DefaultTreeCellRenderer renderer)`
Constructs a `DefaultTreeCellEditor` object for a JTree using the specified renderer and a default editor.
``
`DefaultTreeCellEditor​(JTree tree, DefaultTreeCellRenderer renderer, TreeCellEditor editor)`
Constructs a `DefaultTreeCellEditor` object for a `JTree` using the specified renderer and the specified editor.